## suckless-tools 35

=== dmenu/Makefile ===
# dmenu - dynamic menu
# See LICENSE file for copyright and license details.

include config.mk

SRC = dmenu.c
OBJ = ${SRC:.c=.o}

all: options dmenu

options:
	@echo dmenu build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

dmenu: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f dmenu ${OBJ} dmenu-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dmenu-${VERSION}
	@cp -R LICENSE Makefile README config.mk dmenu.1 config.def.h dmenu_path dmenu_run ${SRC} dmenu-${VERSION}
	@tar -cf dmenu-${VERSION}.tar dmenu-${VERSION}
	@gzip dmenu-${VERSION}.tar
	@rm -rf dmenu-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dmenu dmenu_path dmenu_run ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_path
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_run
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < dmenu.1 > ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dmenu.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu ${DESTDIR}${PREFIX}/bin/dmenu_path
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu ${DESTDIR}${PREFIX}/bin/dmenu_run
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dmenu.1

.PHONY: all options clean dist install uninstall

## suckless-tools 38

=== dmenu/Makefile ===
# dmenu - dynamic menu
# See LICENSE file for copyright and license details.

include config.mk

all: options dmenu dmenu_path

options:
	@echo dmenu build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

dmenu: dmenu.o draw.o
dmenu_path: dmenu_path.o

.c.o: config.mk
	@echo CC -c $<
	@${CC} -c $< ${CFLAGS}

dmenu dmenu_path:
	@echo CC -o $@
	@${CC} -o $@ $+ ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f dmenu dmenu.o draw.o dmenu_path dmenu_path.o dmenu-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dmenu-${VERSION}
	@cp LICENSE Makefile README config.mk dmenu.1 dmenu.c draw.c draw.h dmenu_path.c dmenu_run dmenu-${VERSION}
	@tar -cf dmenu-${VERSION}.tar dmenu-${VERSION}
	@gzip dmenu-${VERSION}.tar
	@rm -rf dmenu-${VERSION}

install: all
	@echo installing executables to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dmenu dmenu_path dmenu_run ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_path
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_run
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < dmenu.1 > ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dmenu.1

uninstall:
	@echo removing executables from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_path
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_run
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dmenu.1

.PHONY: all options clean dist install uninstall

=== lsw/Makefile ===
# lsw - list window names
#   (C)opyright MMVI Anselm R. Garbe

include config.mk

SRC = lsw.c
OBJ = ${SRC:.c=.o}

all: options lsw
	@echo finished

options:
	@echo lsw build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

lsw: ${OBJ}
	@echo LD $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}
	@strip $@

clean:
	@echo cleaning
	@rm -f lsw ${OBJ} lsw-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p lsw-${VERSION}
	@cp -R LICENSE Makefile README config.mk ${SRC} lsw-${VERSION}
	@tar -cf lsw-${VERSION}.tar lsw-${VERSION}
	@gzip lsw-${VERSION}.tar
	@rm -rf lsw-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f lsw ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/lsw

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/lsw

.PHONY: all options clean dist install uninstall

=== slock/Makefile ===
# slock - simple screen locker
# © 2006-2007 Anselm R. Garbe, Sander van Dijk

include config.mk

SRC = slock.c
OBJ = ${SRC:.c=.o}

all: options slock

options:
	@echo slock build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

slock: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f slock ${OBJ} slock-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p slock-${VERSION}
	@cp -R LICENSE Makefile README config.mk ${SRC} slock-${VERSION}
	@tar -cf slock-${VERSION}.tar slock-${VERSION}
	@gzip slock-${VERSION}.tar
	@rm -rf slock-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f slock ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/slock
	@chmod u+s ${DESTDIR}${PREFIX}/bin/slock

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/slock

.PHONY: all options clean dist install uninstall

=== tabbed/Makefile ===
# tabbed - tabbing interface
# See LICENSE file for copyright and license details.

include config.mk

SRC = tabbed.c
OBJ = ${SRC:.c=.o}

all: options tabbed

options:
	@echo tabbed build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

tabbed: tabbed.o
	@echo CC -o $@
	@${CC} -o $@ tabbed.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f tabbed ${OBJ} tabbed-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p tabbed-${VERSION}
	@cp -R LICENSE Makefile README config.def.h config.mk \
		tabbed.1 ${SRC} tabbed-${VERSION}
	@tar -cf tabbed-${VERSION}.tar tabbed-${VERSION}
	@gzip tabbed-${VERSION}.tar
	@rm -rf tabbed-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f tabbed ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/tabbed
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < tabbed.1 > ${DESTDIR}${MANPREFIX}/man1/tabbed.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/tabbed.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/tabbed
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/tabbed.1

.PHONY: all options clean dist install uninstall

=== wmname/Makefile ===
# wmname - prints/sets the WM name

include config.mk

SRC = wmname.c
OBJ = ${SRC:.c=.o}

all: options wmname

options:
	@echo wmname build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

wmname: ${OBJ}
	@echo LD $@
	@${LD} -o $@ ${OBJ} ${LDFLAGS}
	@strip $@

clean:
	@echo cleaning
	@rm -f wmname ${OBJ} wmname-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p wmname-${VERSION}
	@cp -R LICENSE Makefile README config.mk ${SRC} wmname-${VERSION}
	@tar -cf wmname-${VERSION}.tar wmname-${VERSION}
	@gzip wmname-${VERSION}.tar
	@rm -rf wmname-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f wmname ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/wmname

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/wmname

.PHONY: all options clean dist install uninstall

## suckless-tools 40

=== Makefile ===
# dmenu - dynamic menu
# See LICENSE file for copyright and license details.

include config.mk

SRC = dmenu.c draw.c stest.c
OBJ = ${SRC:.c=.o}

all: options dmenu stest

options:
	@echo dmenu build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC -c $<
	@${CC} -c $< ${CFLAGS}

${OBJ}: config.mk draw.h

dmenu: dmenu.o draw.o
	@echo CC -o $@
	@${CC} -o $@ dmenu.o draw.o ${LDFLAGS}

stest: stest.o
	@echo CC -o $@
	@${CC} -o $@ stest.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f dmenu stest ${OBJ} dmenu-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dmenu-${VERSION}
	@cp LICENSE Makefile README config.mk dmenu.1 draw.h dmenu_run stest.1 ${SRC} dmenu-${VERSION}
	@tar -cf dmenu-${VERSION}.tar dmenu-${VERSION}
	@gzip dmenu-${VERSION}.tar
	@rm -rf dmenu-${VERSION}

install: all
	@echo installing executables to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dmenu dmenu_run stest ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_run
	@chmod 755 ${DESTDIR}${PREFIX}/bin/stest
	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < dmenu.1 > ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@sed "s/VERSION/${VERSION}/g" < stest.1 > ${DESTDIR}${MANPREFIX}/man1/stest.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/stest.1

uninstall:
	@echo removing executables from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_run
	@rm -f ${DESTDIR}${PREFIX}/bin/stest
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/stest.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (40-1) unstable; urgency=low

  * Suggest surf which can be used with tabbed.
    Closes: bug#703028.
  * Included the xssstate utility, thanks to Alessandro
    Ghedini.
    Closes: bug#707617.
  * Imported new version of tabbed (0.5).
  * New build-dependency for xssstate on libxss-dev (xscreensaver) is
    added.
  * Updated Provides and long description in debian/control to reflect
    inclussion of xssstate utility.
  * Updated debian/copyright file to include copyright statement for
    xssstate utility.    
  * Added Xft alternative for dmenu, thanks to Javier P.L.
    Closes: bug#696703.
  * New build-dependency on libxft-dev, libfreetype6-dev is added for
    allowing dmenu.xft alternative.    
  * Provided meta key alternative for tabbed, thanks to Vincent Lefevre.
    Closes: bug#703027.
  * Removed TERMINFO environment setting during building of tools, we are
    no longer shipping st as part of this package which needed this.
  * Use canonical URL anonscm.d.o for Vcs-Git field.
  * Use suckless-tools.manpages to install debian shipped manpages only
    for the binaries to which upstream does not provide a manpage.
  * Renamed the patches to follow micro guidelines in
    debian/patches/README.
  * Updated README.source file.
  * Add patch 2004, removes custom library and include search paths by
    upstream, fixes FTBFS on mipsel*.
    Closes: bug#722839. Thanks to YunQuian Su.
  * Upload to unstable.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 27 Jul 2013 21:55:49 +0530

suckless-tools (39-1) experimental; urgency=low

  [ Michael Stummvoll ]
  * Added manpage for dmenu_run (Closes: #610478)
  * Updated manpages for slock, ssid, swarp and wmname (Closes: #636030)
  * Updated manpage for sselp (Closes: #378175)
  * Removed st from the package. Suggests stterm now. Since st is
    no longer part of this package it doesn't install st.256color.
    (Closes: #642307,#665884)
  * Fixed a typo in the wmname manpage
  * Added some docs

  [ Vasudev Kamath ]
  * debian/control:
    + Increased minimum debhelper required to 9
    + Bumped Standards-Version to 3.9.4. This did not require any change
      to package.
    + Added Michael Stummvoll as Uploader
    + Added dependency on dpkg-dev >= 1.16.1.1 to introduce hardening flags
      using dpkg-buildflags.
  * Set debian/compat to 9
  * Created new version 39
    + Imported new version of lsw (Closes: #650573)
    + Updated dmenu (Closes: #650574, #658386)
    + Added sprop and lsx (Closes: #627662)
    + Imported new version of slock. This resolves CVE-2012-1620
      (Closes: #667796, #692737)
    + Imported new version of tabbed    
  * debian/rules:
    + Added get-orig-source target to get upstream source tarball for included
      package
  * debian/patches:
    + Added patch to do setgid shadow instead of setuid root on slock Makefile
     (01_fix_setuid_slock.patch).
    + Added patch to introduce hardening flags and allow DEB_BUILD_OPTIONS=noopt
     (02_dpkg-buildflags.patch).
    + Added patch to make command execution visible in Makefiles
     (03_transparent-makefiles.patch).
    + Added patch to escape '-' symbol in manpage for tabbed and use temp files
      in secure way (04_tabbed-manpage-hyphen-fix.patch).
  * debian/README.source:
    + Updated this file with proper instruction on how to recreate the original
      source tarballs required for package building.
  * debian/create_orig_source shell script is added which will be invoked when
    get-orig-source target in debian/rules is invoked
  * debian/watch:
    + Empty watch file added with only version=3 string in it to avoid lintian
      warning
  * debian/README.slock.Debian:
    + This file is added giving instruction on how to use the slock command.
  * debian/copyright:
    + Fixed the Copyright fields for lsw, dmenu, tabbed.
    + Changed short license name from MIT to Expat.
  * Switched to source format 3.0 (quilt)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 15 Nov 2012 12:28:34 +0530

suckless-tools (38-2) unstable; urgency=low

  * debian/control:
    + Added myself as maintainer. (Closes: #647090)
    + Vcs-* fields now points to repository on collab-maint
  * debian/copyright:
    + Added copyright-format 1.0 header fields (Closes: #685611)
    + Fixed the license of st, it was mentioned as MIT but in reality
      it was 3-Clause BSD license.
    + Removed commas between file names in Files: section for lsw,swarp
      and sselp

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 14 Oct 2012 16:04:43 +0530
 

suckless-tools (38-1) unstable; urgency=low

  * Fix "FTBFS: /home/buildd/.terminfo: permission denied (errno 2)"
    <Added TERMINFO arg> (Closes: #605816)
  * Updated st

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 13:54:15 +0000

suckless-tools (37-1) unstable; urgency=low

  * New maintainer
  * Include simple terminal

 -- Kai Hendry <hendry@iki.fi>  Thu, 02 Dec 2010 13:42:55 +0000

suckless-tools (36-2) experimental; urgency=low

  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:17:34 +0100

suckless-tools (36-1) experimental; urgency=low

  * Merging upstream version 36.
  * Rediffing strip.patch
  * Removing old transitional package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Nov 2010 22:38:44 +0100

suckless-tools (35-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Correcting typo in package description, thanks to David Stansby
    <dstansby@gmail.com> (Closes: #601346).
  * Updating to standards version 3.9.1.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Nov 2010 17:37:38 +0100

suckless-tools (35-1) unstable; urgency=low

  * Merging upstream version 35.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 05 Jun 2010 10:01:46 +0200

suckless-tools (34-1) unstable; urgency=low



=== debian/control ===
Source: suckless-tools
Section: x11
Priority: optional
Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
Uploaders: Michael Stummvoll <michael@stummi.org>
Build-Depends: debhelper (>= 9),
 libx11-dev,
 libxinerama-dev,
 ncurses-bin (>= 5.7+20081213),
 dpkg-dev (>= 1.16.1.1),
 libxss-dev,
 libxft-dev,
 libfreetype6-dev
Standards-Version: 3.9.4
Homepage: http://www.suckless.org
Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools.git;a=summary

Package: suckless-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dwm, stterm, surf
Provides: dmenu, lsw, lsx, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
Description: simple commands for minimalistic window managers
 This package provides simple commands designed to be used with a minimalistic
 window manager like dwm but they can be useful in scripts regardless of the
 window manager used.
 .
  * dmenu: Dynamic menu is a generic menu for X.
  * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
  * lsx: Lists executables in a directory.
  * slock: Simple X display locker that locks the X session.
  * sprop: Sets or gets X window properties.
  * sselp: Simple X selection printer that prints the X selection to stdout.
  * ssid: Simple setsid replacement.
  * swarp: Simple X warping tool to warp the mouse pointer to a given position.
  * tabbed: Simple generic tabbed fronted to xembed aware applications.
  * wmname: Prints/sets the window manager name property of the root
    window imilar to how hostname(1) behaves.
  * xssstate: Retrieves the state of X screensaver.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

D := $(CURDIR)/debian/suckless-tools
TOOLS := $(filter-out debian, $(wildcard *))
ALTERNATIVES := $(wildcard debian/local/*)
RULE_FILE_DIR := $(dir $(firstword $(MAKEFILE_LIST)))

%:
	dh $@

override_dh_auto_configure:
	for ALTERNATIVE in $(ALTERNATIVES); \
	do \
		tool=`basename $${ALTERNATIVE} | perl -pe "s/.*\K\..*//g"`;\
		extn=`basename $${ALTERNATIVE} | perl -pe "s/.*\.//g"`; \
		newfork=$${tool}.$${extn}; \
		cp -r $${tool} $${newfork}; \
		patch -p1 < $${ALTERNATIVE} -d $${newfork}; \
		TOOLS="$(TOOLS) $${newfork}"; \
	done
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	for TOOL in $(TOOLS); \
	do \
		make -C $${TOOL} clean; \
	done
	@diff -q tabbed/config.h tabbed/config.def.h && rm -f tabbed/config.h || true

override_dh_auto_build:
	for TOOL in $(TOOLS);\
	do \
		make -C $${TOOL}; \
	done

override_dh_auto_install:
	for TOOL in $(TOOLS); \
	do \
		$(MAKE) -C $${TOOL} DESTDIR=$(D) PREFIX=/usr install; \
	done

override_dh_installdocs:
	dh_installdocs
	for TOOL in $(TOOLS); \
	do \
		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
	done

override_dh_fixperms:
	dh_fixperms -Xusr/bin/slock

get-orig-source:
	$(RULE_FILE_DIR)create_orig_source $(RULE_FILE_DIR)

## suckless-tools 41

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-SRC = dmenu.c draw.c stest.c
+SRC = drw.c dmenu.c stest.c util.c
 OBJ = ${SRC:.c=.o}
 
 all: options dmenu stest
@@ -15,14 +15,18 @@
 	@echo "CC       = ${CC}"
 
 .c.o:
-	@echo CC -c $<
-	@${CC} -c $< ${CFLAGS}
+	@echo CC $<
+	@${CC} -c ${CFLAGS} $<
 
-${OBJ}: config.mk draw.h
+config.h:
+	@echo creating $@ from config.def.h
+	@cp config.def.h $@
 
-dmenu: dmenu.o draw.o
+${OBJ}: arg.h config.h config.mk drw.h
+
+dmenu: dmenu.o drw.o util.o
 	@echo CC -o $@
-	@${CC} -o $@ dmenu.o draw.o ${LDFLAGS}
+	@${CC} -o $@ dmenu.o drw.o util.o ${LDFLAGS}
 
 stest: stest.o
 	@echo CC -o $@
@@ -35,7 +39,8 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p dmenu-${VERSION}
-	@cp LICENSE Makefile README config.mk dmenu.1 draw.h dmenu_run stest.1 ${SRC} dmenu-${VERSION}
+	@cp LICENSE Makefile README arg.h config.mk dmenu.1 drw.h util.h \
+		dmenu_path dmenu_run stest.1 ${SRC} dmenu-${VERSION}
 	@tar -cf dmenu-${VERSION}.tar dmenu-${VERSION}
 	@gzip dmenu-${VERSION}.tar
 	@rm -rf dmenu-${VERSION}
@@ -43,8 +48,9 @@
 install: all
 	@echo installing executables to ${DESTDIR}${PREFIX}/bin
 	@mkdir -p ${DESTDIR}${PREFIX}/bin
-	@cp -f dmenu dmenu_run stest ${DESTDIR}${PREFIX}/bin
+	@cp -f dmenu dmenu_path dmenu_run stest ${DESTDIR}${PREFIX}/bin
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu
+	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_path
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_run
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/stest
 	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
@@ -57,6 +63,7 @@
 uninstall:
 	@echo removing executables from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu
+	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_path
 	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_run
 	@rm -f ${DESTDIR}${PREFIX}/bin/stest
 	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1

=== debian/changelog ===
suckless-tools (41-1) unstable; urgency=medium

  * New upstream release
    - Import dmenu snapshot version 4.6 (git commit 09d0a36e0)
    - Import lsw version 0.3
    - Import slock version 1.2
    - Import tabbed version 0.6
    (Closes: #783621, #766258, #746605, #611535, #703025)
  * Propagate the changes from experimental (40-2) to unstable
  * Build depend on a newer version of dpkg-dev.
    Version (>= 1.17) of dpkg-dev is needed in order to use
    the -S option of dpkg-parsechangelog.
  * Use d/watch file to track newer versions
  * Provide a 'get-orig-source' rule based on uscan
  * Use --trace option to print recipes to be executed
  * Use alioth's cgit interface in the Vcs-Browser field
  * New maintainer (Closes: #776482)
  * Update d/copyright entries
  * Remove unused lsw.1 manpage
  * Update version number in sselp.1 manpage
  * Update version number in slock.1 manpage
  * Remove ncurses-bin from build dependencies
  * Add pkg-config to build dependencies
  * Remove 2003_transparent-makefiles patch.
    Instead, use Makefile's '--trace' option
  * Update d/patches
    - Use gbp-pq patch format
    - Fix patches to apply cleanly on newer versions
    - Update patches to contain embedded index information
  * Drop d/local/dmenu.xft patch, fixed upstream
  * Move d/local/tabbed.meta under d/patches.
    Use d/patches instead of custom rules in order to build
    alternative version of tabbed with Windows key as Mod key.
  * Remove dmenu alternatives.
    Use 'preinst upgrade', 'postrm abort-upgrade' to remove dmenu
    alternatives during upgrade to newer version.
  * Update d/rules to build newer version
  * Override debian-watch-file-specifies-old-upstream-version warning
  * Remove README.source since it's not relevant anymore
  * lsw: Apply 'segfault avoidance' patch from upstream
  * Override 'binary-without-manpage' for alternatives
  * Add manpage for dmenu_path executable
  * Add libcap2-bin to package dependencies
  * Set CAP_SYS_RESOURCE for the slock binary.
    Update d/README.slock.Debian to state the above change.
  * Override 'no-upstream-changelog' lintian warning
  * Drop 'fix_setuid_slock' patch.
    Slock will use PAM, so it doesn't need setuid.
  * slock: Don't exit if failed to adjust OOM score
  * Add libpam0g-dev to build dependencies
  * slock: Use PAM for authentication.
    Thanks to Brad Jorsch for the patch (Closes: #739629)
  * Ship PAM configuration file under '/etc/pam.d/slock'
  * Remove obsolete 'setgid-binary' lintian override
  * Document PAM authentication for slock in d/NEWS

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 15 Oct 2015 11:50:24 +0300

suckless-tools (40-2) experimental; urgency=medium

  * Fix link for dmenu man page in dmenu_run.1.
    Closes: bug#774955, Thanks to Jakub Wilk.
  * Bump Standards-Version to 3.9.6, no change to source package.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 24 Jan 2015 12:06:47 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: suckless-tools
 Section: x11
 Priority: optional
-Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
-Uploaders: Michael Stummvoll <michael@stummi.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
  libx11-dev,
  libxinerama-dev,
- ncurses-bin (>= 5.7+20081213),
- dpkg-dev (>= 1.16.1.1),
+ dpkg-dev (>= 1.17),
  libxss-dev,
  libxft-dev,
+ pkg-config,
+ libpam0g-dev,
  libfreetype6-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.suckless.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suckless-tools.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git
 
 Package: suckless-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
 Suggests: dwm, stterm, surf
 Provides: dmenu, lsw, lsx, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exit immediately if any untested command fails
SHELL := sh -e

# Path of 'debian' directory
DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))

# Use Makefile snippets provided by dpkg-dev (>= 1.16)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Temporary directory
TMPDIR := $(DEB_DIR)/tmp-dir

# The upstream Makefiles are written in a way that suppresses the recipe
# echoing. This means that tools like 'blhc' cannot inspect the build logs.
# Instead of maintaining a patch that will remove the preceding '@' symbol
# from all recipes, we pass the '--trace' flag to make, which prints the
# entire recipe to be executed, even for recipes that are normally silent
MAKEFLAGS += --trace

D := $(DEB_DIR)/suckless-tools
TOOLS := $(filter-out debian, $(wildcard *))


%:
	dh $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	for TOOL in $(TOOLS); do \
		dh_auto_clean --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_build
override_dh_auto_build:
	for TOOL in $(TOOLS); do \
		dh_auto_build --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_install
override_dh_auto_install:
	for TOOL in $(TOOLS); do \
		dh_auto_install --sourcedirectory=$${TOOL} -- PREFIX=/usr; \
	done

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	for TOOL in $(TOOLS); do \
		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
	done


# --------------------------------------------------------------------
# http://wiki.debian.org/onlyjob/get-orig-source
#
# As per policy §4.9, this target may be invoked in any directory, but
# '/usr/share/dpkg/pkg-info.mk' will not work unless we are at package's
# top level directory (i.e. dpkg-parsechangelog finds the changelog file at
# 'debian/changelog').
# So we invoke '_get-orig-source' from package's top level directory.
.PHONY: get-orig-source _get-orig-source
get-orig-source:
	$(MAKE) -C $(DEB_DIR)/.. -f debian/rules _get-orig-source SAVEDIR=$(CURDIR)

_get-orig-source:
	@echo "# Create temporary directory '$(TMPDIR)'"
	$(RM) -r $(TMPDIR)
	mkdir -p $(TMPDIR)
	@echo "# Download upstream tarballs"
	uscan --noconf --no-symlink --destdir=$(TMPDIR) --check-dirname-level=0 \
		--force-download --download-current-version $(DEB_DIR)
	# Move packages to current working directory, as required by policy,
	# and create the appropriate symlinks using mk-origtargz.
	cd $(SAVEDIR) && \
	for pkg in $$(ls $(TMPDIR)); do \
		pkgname=$$(echo $${pkg} | sed -r 's/([^-]+)-[0-9].*/\1/'); \
		cp $(TMPDIR)/$${pkg} .; \
		mk-origtargz --package $(DEB_SOURCE) --symlink \
			--version $(DEB_VERSION_UPSTREAM) $${pkg}; \
		rename "s/\.orig\./.orig-$${pkgname}./" \
			$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.*; \
	done
	@echo "# Clean up temporary directory"
	$(RM) -r $(TMPDIR)

=== debian/watch ===
version=3

# Download dmenu
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
dmenu-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
4.5

# Download lsw
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
lsw-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.3

# Download lsx
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
lsx-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.1

# Download slock
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
slock-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
1.2

# Download sprop
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
sprop-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.1

# Download sselp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
sselp-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.2

# Download ssid
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
ssid-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.1

# Download swarp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
swarp-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.1

# Download tabbed
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
tabbed-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.6

# Download wmname
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
wmname-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
0.1

# Download xssstate
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://dl.suckless.org/tools/ \
xssstate-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
1.1

## suckless-tools 42

=== Makefile ===
# slock - simple screen locker
# See LICENSE file for copyright and license details.

include config.mk

SRC = slock.c
OBJ = ${SRC:.c=.o}

all: options slock

options:
	@echo slock build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

slock: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f slock ${OBJ} slock-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p slock-${VERSION}
	@cp -R LICENSE Makefile README config.def.h config.mk ${SRC} slock.1 \
		slock-${VERSION}
	@tar -cf slock-${VERSION}.tar slock-${VERSION}
	@gzip slock-${VERSION}.tar
	@rm -rf slock-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f slock ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/slock
	@chmod u+s ${DESTDIR}${PREFIX}/bin/slock
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" <slock.1 >${DESTDIR}${MANPREFIX}/man1/slock.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/slock.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/slock
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/slock.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (42-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 4.6
    - Update slock to version 1.3
  * Update d/watch file to use the version 4 format.
    The new version=4 enables handling of multiple upstream tarball
    (MUT) packages.
  * Simplify get-orig-source rule.
    Let the new version 4 format of d/watch do the hard work.
  * Add libxrandr-dev to build dependencies.
    The new version of slock needs to be linked against the Xrandr library
    in order to resize the cover window when new screens are added.
  * Pass create-empty-orig to d/source/local-options
  * Update d/patches to apply cleanly.
    Also, rename the patch files in order to not be prefixed with a number.
  * Update d/copyright file.
    Bump copyright years for slock/* and debian/* files.
  * Bump Standards-Version to 3.9.7, no changes needed
  * Remove d/manpages/slock.1.
    A manpage for slock is now provided by upstream.
  * d/patches: Remove useless dependency against Xext library
  * Enable all hardening options.
    Fix hardening-no-pie and hardening-no-bindnow lintian messages.
  * Do not include '/usr/share/dpkg/default.mk' in d/rules.
    Since we are using debhelper v9 format, there is no need to include the
    'buildflags.mk' or export the buildflags because they are automatically
    passed during calls to dh_auto_* programs.
  * Use 'https://' instead of 'git://' in Vcs-Git field.
    Fix vcs-field-uses-insecure-uri lintian warning.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Wed, 17 Feb 2016 15:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  libxft-dev,
  pkg-config,
  libpam0g-dev,
+ libxrandr-dev,
  libfreetype6-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.suckless.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/suckless-tools.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/suckless-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git
 
 Package: suckless-tools

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exit immediately if any untested command fails
SHELL := sh -e

# Path of 'debian' directory
DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))

# Enable all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The upstream Makefiles are written in a way that suppresses the recipe
# echoing. This means that tools like 'blhc' cannot inspect the build logs.
# Instead of maintaining a patch that will remove the preceding '@' symbol
# from all recipes, we pass the '--trace' flag to make, which prints the
# entire recipe to be executed, even for recipes that are normally silent
MAKEFLAGS += --trace

D := $(DEB_DIR)/suckless-tools
TOOLS := $(filter-out debian, $(wildcard *))


%:
	dh $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	for TOOL in $(TOOLS); do \
		dh_auto_clean --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_build
override_dh_auto_build:
	for TOOL in $(TOOLS); do \
		dh_auto_build --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_install
override_dh_auto_install:
	for TOOL in $(TOOLS); do \
		dh_auto_install --sourcedirectory=$${TOOL} -- PREFIX=/usr; \
	done

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	for TOOL in $(TOOLS); do \
		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
	done


# --------------------------------------------------------------------
# http://wiki.debian.org/onlyjob/get-orig-source
#
# As per policy §4.9, this target may be invoked in any directory.
.PHONY: get-orig-source
get-orig-source:
	uscan --noconf --destdir=$(CURDIR) --check-dirname-level=0 \
		--download-current-version --force-download $(DEB_DIR)

=== debian/watch ===
version=4

# Download dmenu
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
oversionmangle=s/.*/42/,\
component=dmenu \
http://dl.suckless.org/tools/ \
dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
4.6

# Download lsw
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=lsw \
http://dl.suckless.org/tools/ \
lsw@ANY_VERSION@@ARCHIVE_EXT@ \
0.3

# Download lsx
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=lsx \
http://dl.suckless.org/tools/ \
lsx@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download slock
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=slock \
http://dl.suckless.org/tools/ \
slock@ANY_VERSION@@ARCHIVE_EXT@ \
1.3

# Download sprop
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=sprop \
http://dl.suckless.org/tools/ \
sprop@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download sselp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=sselp \
http://dl.suckless.org/tools/ \
sselp@ANY_VERSION@@ARCHIVE_EXT@ \
0.2

# Download ssid
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=ssid \
http://dl.suckless.org/tools/ \
ssid@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download swarp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=swarp \
http://dl.suckless.org/tools/ \
swarp@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download tabbed
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=tabbed \
http://dl.suckless.org/tools/ \
tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
0.6

# Download wmname
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=wmname \
http://dl.suckless.org/tools/ \
wmname@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download xssstate
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=xssstate \
http://dl.suckless.org/tools/ \
xssstate@ANY_VERSION@@ARCHIVE_EXT@ \
1.1

## suckless-tools 43

=== Makefile ===
# tabbed - tabbing interface
# See LICENSE file for copyright and license details.

include config.mk

SRC = tabbed.c
OBJ = ${SRC:.c=.o}

all: options tabbed

options:
	@echo tabbed build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

tabbed: tabbed.o
	@echo CC -o $@
	@${CC} -o $@ tabbed.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f tabbed ${OBJ} tabbed-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p tabbed-${VERSION}
	@cp -R LICENSE Makefile README config.def.h config.mk \
		tabbed.1 arg.h ${SRC} tabbed-${VERSION}
	@tar -cf tabbed-${VERSION}.tar tabbed-${VERSION}
	@gzip tabbed-${VERSION}.tar
	@rm -rf tabbed-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f tabbed ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/tabbed
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < tabbed.1 > ${DESTDIR}${MANPREFIX}/man1/tabbed.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/tabbed.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/tabbed
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/tabbed.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (43-1) unstable; urgency=low

  [ Ilias Tsitsimpis ]
  * New upstream release
    - Update dmenu to version 4.7
    - Update slock to version 1.4
  * Remove lsx.
    The lsx tool has been removed from the upstream repo and is not
    supported anymore.
  * Update my email address
  * Bump Standards-Version to 4.0.0, no changes needed
  * Bump dependency on debhelper to >= 10
  * Bump debhelper compat level to 10
  * Update d/copyright file.
    Add slock/explicit_bzero.c and bump copyright years.
  * Update d/patches
    - Use the following patches for slock, from upstream's git repo:
        (7a604ec1f) Fix resize with multiple monitors and portrait mode
        (35633d456) Properly clear the last entered character
        (0ff0d9f7a) there can only be one window in the event
    - Remove `drop privileges` code from slock, since it runs without setuid
    - Update rest of the patches to apply cleanly
  * Fix FTCBFS.
    Remove explicit invocation of `strip` and `pkg-config`.
    Thanks to Helmut Grohne for providing the patch (Closes: #861341)
  * Fix typo in ssid(1) manpage

  [ Barak A. Pearlmutter ]
  * Fix typo in package description, missing s in similar (Closes: #857254)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Aug 2017 20:05:33 +0300

suckless-tools (42-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes needed
  * Fix FTBFS on hurd-i386.
    Add patch to define the PATH_MAX macro in case it is missing.
    (Closes: #815357)

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sun, 19 Jun 2016 13:33:12 +0300

=== debian/control ===
Source: suckless-tools
Section: x11
Priority: optional
Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
Build-Depends:
 debhelper (>= 10),
 libx11-dev,
 libxinerama-dev,
 dpkg-dev (>= 1.17),
 libxss-dev,
 libxft-dev,
 pkg-config,
 libpam0g-dev,
 libxrandr-dev,
 libfreetype6-dev
Standards-Version: 4.0.0
Homepage: http://www.suckless.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/suckless-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/suckless-tools.git

Package: suckless-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
Suggests: dwm, stterm, surf
Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
Description: simple commands for minimalistic window managers
 This package provides simple commands designed to be used with a minimalistic
 window manager like dwm but they can be useful in scripts regardless of the
 window manager used.
 .
  * dmenu: Dynamic menu is a generic menu for X.
  * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
  * slock: Simple X display locker that locks the X session.
  * sprop: Sets or gets X window properties.
  * sselp: Simple X selection printer that prints the X selection to stdout.
  * ssid: Simple setsid replacement.
  * swarp: Simple X warping tool to warp the mouse pointer to a given position.
  * tabbed: Simple generic tabbed fronted to xembed aware applications.
  * wmname: Prints/sets the window manager name property of the root
    window similar to how hostname(1) behaves.
  * xssstate: Retrieves the state of X screensaver.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Path of 'debian' directory
 DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
+
+# Provide the correct pkg-config for cross-building
+include /usr/share/dpkg/architecture.mk
+export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
 
 # Enable all hardening flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/42/,\
+oversionmangle=s/.*/43/,\
 component=dmenu \
 http://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-4.6
+4.7
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -17,21 +17,13 @@
 lsw@ANY_VERSION@@ARCHIVE_EXT@ \
 0.3
 
-# Download lsx
-opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
-uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-component=lsx \
-http://dl.suckless.org/tools/ \
-lsx@ANY_VERSION@@ARCHIVE_EXT@ \
-0.1
-
 # Download slock
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
 component=slock \
 http://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
-1.3
+1.4
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
